This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 312171 - TAHI--when recieving a NS packet with an invalid Checksum field, RHEL5 has transmitted a NA packet.
TAHI--when recieving a NS packet with an invalid Checksum field, RHEL5 has tr...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Martin Jenner
:
Depends On:
Blocks: 253764 425461
  Show dependency treegraph
 
Reported: 2007-09-29 03:39 EDT by Zhiyong Wu
Modified: 2014-06-18 04:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 10:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-09-29 03:39:47 EDT
Description of problem:

  Having Neighbor Discovery tests.When recieving a Neighbor Solicitation Packet
  with an invalid checksum field,NUT has still sent a neighbor advertisement
packet to peer node.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2 
   
TAHI package:    
  Self_TEST_1-4-8.tar.gz

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
  
Actual results:

  NUT has transmited a neighbor advertisement packet

Expected results:

  NUT must not transmit any packets

Additional info:

  please refer to 

  (1) 18	Part E: Invalid Checksum

in http://focus.brisbane.redhat.com/~zwu/Self_Test_1-4-8_router/nd.p2/index.html

  (2) 117	Part B: ICMPv6 checksum is not valid

in http://focus.brisbane.redhat.com/~zwu/Self_Test_1-4-8_router/nd.p2/index.html

  (3) 21	Part E: Invalid Checksum

in http://focus.brisbane.redhat.com/~zwu/Self_Test_1-4-8_host/nd.p2/index.html

  (4) 21	Part E: Invalid Checksum

  in
http://focus.brisbane.redhat.com/~zwu/Self_Test_1-4-8_special/nd.p2/index.html
Comment 1 Zhiyong Wu 2007-10-24 04:02:05 EDT
Also about checksum:

when NUT is set to the host mode,

pls refer to the url below:

http://focus.brisbane.redhat.com/~zwu/CoreProtocol/20071024/Self_Test_1-4-8_p2_host/nd.p2/index.html

(1)21	Part E: Invalid Checksum

(2)48	Part C: NUT receives invalid NA (Invalid Checksum)

(3)134	Part E: Invalid Router Advertisement, Bad ICMP Checksum

(4)142	Part C: Invalid Checksum

(5)184	Part E: ICMPv6 Checksum is invalid

(6)204	Part E: ICMPv6 Checksum is invalid

(7)241	Part E: ICMPv6 Checksum is invalid

Comment 2 Zhiyong Wu 2007-10-24 04:04:48 EDT
Also about checksum:

when NUT is set to the host mode,

pls refer to the url below:

http://focus.brisbane.redhat.com/~zwu/CoreProtocol/20071024/Self_Test_1-4-8_p2_host/addr.p2/index.html

(1) 11	Part F: NUT receives invalid DAD NS (Invalid Checksum)

(2) 19	Part D: NUT receives invalid DAD NA (Invalid Checksum)
Comment 3 Zhiyong Wu 2007-10-25 22:16:22 EDT
Also about checksum:

when NUT is set to the router mode,

pls refer to the url below:

http://focus.brisbane.redhat.com/~zwu/CoreProtocol_router/20071025/Self_Test_1-4-8_p2_router/nd.p2/index.html

(1) 18	Part E: Invalid Checksum

(2) 43	Part C: NUT receives invalid NA (Invalid Checksum)

(3) 117	Part B: ICMPv6 checksum is not valid

http://focus.brisbane.redhat.com/~zwu/CoreProtocol_router/20071025/Self_Test_1-4-8_p2_router/addr.p2/index.html

(1) 11	Part F: NUT receives invalid DAD NS (Invalid Checksum)

(2) 19	Part D: NUT receives invalid DAD NA (Invalid Checksum)

Note You need to log in before you can comment on or make changes to this bug.